Ubuntu

cannot use all space on UDF hard disk

Reported by Marv on 2010-05-21
44
This bug affects 7 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Although the disk has 500GB capacity, the system doesn't allow me to put more than ~82GB on it.

df shows:
/dev/sdb 488386319 85907822 402478497 18% /media/disk

df -i shows:
/dev/sdb 804981814 24821 804956993 1% /media/disk

All write above these 82GB fail:
marv@flash5:/media/disk$ dd if=/dev/zero of=toto count=1
dd: opening `toto': No space left on device

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-generic 2.6.32.22.23
Regression: No
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic x86_64
NonfreeKernelModules: fglrx
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: marv 1314 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xfe024000 irq 16'
   Mixer name : 'Realtek ALC889A'
   Components : 'HDA:10ec0885,1458a102,00100101'
   Controls : 40
   Simple ctrls : 22
Card1.Amixer.info:
 Card hw:1 'HDMI'/'HDA ATI HDMI at 0xfdffc000 irq 19'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100100'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [off]
Date: Fri May 21 20:00:36 2010
HibernationDevice: RESUME=UUID=9968fa86-51c6-4e81-bcab-64511f157382
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: Gigabyte Technology Co., Ltd. GA-MA785GMT-UD2H
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic root=UUID=3f1d962a-43ad-4587-87aa-8e2757f7d11f ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34
RfKill:

SourcePackage: linux
WifiSyslog:

dmi.bios.date: 07/03/2009
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F1
dmi.board.name: GA-MA785GMT-UD2H
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF1:bd07/03/2009:svnGigabyteTechnologyCo.,Ltd.:pnGA-MA785GMT-UD2H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-MA785GMT-UD2H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: GA-MA785GMT-UD2H
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

Marv (martin-voelkle) wrote :
Marv (martin-voelkle) wrote :

I tried with a mainline kernel (http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-lucid/) and have the same problem.

Jeremy Foshee (jeremyfoshee) wrote :

Hi Marv,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Marv (martin-voelkle) on 2010-05-25
tags: removed: needs-upstream-testing
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu development release http://cdimage.ubuntu.com/daily-live/current/ . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
John Paul (p6284968128) wrote :

I'm experiencing the same problem: I cannot use all space of UDF partition on a 2TB hard disk. The partition has 900GB capacity and is partition type FAT16 (0x06).

df shows:
/dev/sdc3 879076535 74114246 804962289 9% /media/disk

df -i shows:
/dev/sdc3 1609925069 492 1609924577 1% /media/disk

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: udisks 1.0.1-1ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-27.49-generic 2.6.32.26+drm33.12
Uname: Linux 2.6.32-27-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
CheckboxSubmission: cf9476e0c568928f3f21bd31e299d395
CheckboxSystem: c0debaa929713bfabf3fb27e35caa972
Date: Fri Jan 14 02:39:15 2011
HotplugNewDevices: /dev/sdb1 /dev/sdd4 /dev/sdd3 /dev/sdd1 /dev/sdd /dev/sdb
MachineType: BIOSTAR Group GF8100 M2+ TE
ProcCmdLine: root=/dev/mapper/User Name--desktop-root ro quiet splash
ProcEnviron:
 LANGUAGE=
 PATH=(custom, no user)
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: udisks
Symptom: storage
dmi.bios.date: 05/05/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 080015
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: GF8100 M2+ TE
dmi.board.vendor: BIOSTAR Group
dmi.chassis.asset.tag: None
dmi.chassis.type: 3
dmi.chassis.vendor: BIOSTAR Group
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr080015:bd05/05/2009:svnBIOSTARGroup:pnGF8100M2+TE:pvr:rvnBIOSTARGroup:rnGF8100M2+TE:rvr:cvnBIOSTARGroup:ct3:cvr:
dmi.product.name: GF8100 M2+ TE
dmi.sys.vendor: BIOSTAR Group

I couldn't manage to upload my system info without filing a new bug report. My apologies for the duplicate:
https://bugs.launchpad.net/ubuntu/+bug/702692

Changed in linux (Ubuntu):
status: Expired → New
John Paul (p6284968128) wrote :

I just upgraded to 10.10 without any improvement. I'm now using linux 2.6.35-24-generic i686.

Brad Figg (brad-figg) on 2011-05-04
Changed in linux (Ubuntu):
status: New → Confirmed
Jean-Yves Avenard (jyavenard) wrote :

Another me too.

cp: cannot create regular file `/mnt/big.bin: No space left on device

df -k:
/dev/sdg1 1465135736 123333976 1341801760 9% /mnt

df -i:
/dev/sdg1 2683604055 535 2683603520 1% /mnt

Jim Trigg (jtrigg) wrote :

I have located the upstream bug report, which has a fix in kernel 3.8.x - kernel bug 53021. The patch is below:

Signed-off-by: Jan Kara <email address hidden>
---
 fs/udf/udf_sb.h | 2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/fs/udf/udf_sb.h b/fs/udf/udf_sb.h
index 5f02722..8d1c9d4 100644
--- a/fs/udf/udf_sb.h
+++ b/fs/udf/udf_sb.h
@@ -82,7 +82,7 @@ struct udf_virtual_data {
 struct udf_bitmap {
  __u32 s_extLength;
  __u32 s_extPosition;
- __u16 s_nr_groups;
+ int s_nr_groups;
  struct buffer_head **s_block_bitmap;
 };

--
1.7.1

I confirm that this patch solves the issue on my machine (12.10, 64-bit). It there a chance of backporting the fix into quetzal?

Jim Trigg (jtrigg) wrote :

I have downloaded the 3.5.0-25.39 source from the quantal repository, applied this patch, and am running it now on Mint 14. It's working perfectly. Can we get this backported (at least to Precise, Quantal, and Raring)?

Jim Trigg (jtrigg) on 2013-03-28
tags: added: maverick natty oneiric precise quantal raring
Julian Wiedmann (jwiedmann) wrote :

commit 89b1f39eb4189de745fae554b0d614d87c8d5c63
Author: Jan Kara <email address hidden>
Date: Tue Feb 5 13:59:56 2013 +0100

    udf: Fix bitmap overflow on large filesystems with small block size

from upstream landed in Precise (3.2.0-44.69), Quantal (3.5.0-31.52) and Raring (3.8.0-16.26).

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers